Skip to main content
DELETE
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
addons
/
{addon_resource_id}
Uninstall Cluster Addon Endpoint
import requests

url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/addons/{addon_resource_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
{
  "marked_for_uninstall": true,
  "commit_sha": "<string>",
  "commit_url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

cluster_id
string<uuid4>
required
addon_resource_id
string<uuid4>
required

Query Parameters

delete
boolean
default:false
force
string | null

Response

Successful Response

marked_for_uninstall
boolean
required
commit_sha
string | null
commit_url
string | null